function  cropped_pile(pile_input,pile_output,PLT)      
rng('default');
lijn = 3; 
rng(21);
    %% Import parameters 
    n_piles = size(pile_input,2);
    top_piles = zeros(n_piles,1); 
    pile_length = zeros(n_piles,1); 
    plastic_zones = zeros(n_piles,1); 
    x_coordinates = zeros(n_piles,1); 
    for i = 1:n_piles 
        top_piles(i) = pile_input(i).top_pile;
        pile_length(i) = pile_input(i).pile_length; 
        plastic_zones(i) = pile_input(i).plastic_zone;
        x_coordinates(i) = pile_input(i).x_coordinate;
    end 
    top_first_pile = pile_input(1).top_pile; 
    helling = pile_input(1).helling;



if PLT.cropwedgeplot == 1
  
    figure 
    axis equal
    set(gcf, 'Position',  [600, 500, 700, 700])
    %movegui('southwest');
    pile_of_interest = PLT.pile_of_interest;
    
    for paal = 1:n_piles
    % Generate the initial polyshape object
    p1 = pile_output(paal).poly.reduced;
    
        for j = 1:length(p1)
            iseven = rem(j, 2) == 0; 
            if iseven == 1             
                r1= 0.2;
                r2= 0.2;
                r3= 0.2;
                f1 = 0.6; 
                f2 = .2; 
                f3 = 0.0;
            else 
                r1= 0.9;
                r2= 0.9;
                r3= 0.9;
                f1= 0.9;
                f2= 0.9;
                f3= 0.9;
            end
            
            
%             r1 = rand(1,1); 
%             r2=  rand(1,1); 
%             r3 = rand(1,1); 

            for i = 1:height(p1)
                v1 = p1(i,j).Vertices; 
                hoogte = pile_output(paal).grid.Z((i),1); 
                %first find out if the polyshape consist of 2 seperate areas 
                nanvalues = any(isnan(v1(:)));
                emptymatrix = isempty(v1); 
                if emptymatrix == 1
                    continue
                else 
                    if nanvalues == 1
                          TF = 1000*isnan(v1);
                          [val, idx] = find(TF==1000);    
                          %display('hoi')
                % Use alphaShape to add the Z dimension plot the splitted objects 
                     v1s = v1(1:val(1)-1,:);
                     v2s = v1(val(1)+1:end ,:);
                     a1 = alphaShape( v1s(:,1), v1s(:,2), hoogte*ones(size(v1s,1), 1));
                     b1 = alphaShape( v2s(:,1), v2s(:,2), hoogte*ones(size(v2s,1), 1));

                     plot1 = plot3([a1.Points(:,1); a1.Points(1,1)],[a1.Points(:,2); a1.Points(1,2)],[a1.Points(:,3); a1.Points(1,3)],'Color',[f1 f2 f3],'LineWidth',3);
                      
                     hold on 
                    
                     plot2 = plot3([b1.Points(:,1); b1.Points(1,1)],[b1.Points(:,2); b1.Points(1,2)],[b1.Points(:,3); b1.Points(1,3)],'Color',[f1 f2 f3],'LineWidth',3);
%                      plot1.Color(4) = 0.15;
%                      plot2.Color(4) = 0.15;
                     if paal == pile_of_interest || paal == 4
                        plot3([a1.Points(:,1); a1.Points(1,1)],[a1.Points(:,2); a1.Points(1,2)],[a1.Points(:,3); a1.Points(1,3)],'Color',[r1 r2 r3],'LineWidth',lijn)
                        hold on 
                        plot3([b1.Points(:,1); b1.Points(1,1)],[b1.Points(:,2); b1.Points(1,2)],[b1.Points(:,3); b1.Points(1,3)],'Color',[r1 r2 r3],'LineWidth',lijn)                  
                        
                     end 

                  else 
                % Use alphaShape to add the Z dimension
                    a1 = alphaShape( v1(:,1), v1(:,2), hoogte*ones(size(v1,1), 1));
                    hold on                
                    plot4 = plot3([a1.Points(:,1); a1.Points(1,1)],[a1.Points(:,2); a1.Points(1,2)],[a1.Points(:,3); a1.Points(1,3)],'Color',[f1 f2 f3],'LineWidth',3);
%                     plot4.Color(4) = 0.15;
                    if paal == pile_of_interest || paal == 4
                        plot3([a1.Points(:,1); a1.Points(1,1)],[a1.Points(:,2); a1.Points(1,2)],[a1.Points(:,3); a1.Points(1,3)],'Color',[r1 r2 r3],'LineWidth',lijn)
                    end 
                    end 
                end 

            end
        end 
    end 
     

% movegui('northwest');
    for plotten = 1:n_piles
        hold on 
        Z_total_pile = pile_output(plotten).pilegrid.Z; 
        Z_total_pile(1,:) = pile_input(1).levels.floorlevel;
        Z_total_pile(end,:) = pile_input(1).levels.pile_tip;
        surf(pile_output(plotten).pilegrid.X,pile_output(plotten).pilegrid.Y, Z_total_pile,'Facealpha', 0.4,'Edgealpha', 0.4,'FaceColor', 'k'); 
        hold on 
        %%side piles 
        %negativeY

        surf(pile_output(plotten).pilegrid.X,pile_output(plotten).pilegrid.Y-pile_input(plotten).center2center_y, Z_total_pile,'Facealpha', 0.4,'Edgealpha', 0.4,'FaceColor', 'k'); 

        %positiveY

        surf(pile_output(plotten).pilegrid.X,pile_output(plotten).pilegrid.Y+pile_input(plotten).center2center_y, Z_total_pile ,'Facealpha', 0.4,'Edgealpha', 0.4,'FaceColor', 'k'); 
        
        
    end 
        %kespen plot 
        Diameter_pile = pile_input(1).D;
        lengt_beam = pile_input(end).x_coordinate- pile_input(1).x_coordinate + 2* Diameter_pile;
        width_beam =  Diameter_pile; 
        height_beam = 0.2;
        X_beam =  pile_input(1).x_coordinate - Diameter_pile ;
        Y_beam =  pile_input(1).y_coordinate - Diameter_pile/2;
        Y_beamR =  pile_input(2).y_coordinate - Diameter_pile/2-pile_input(1).center2center_y;
        Y_beamL =  pile_input(1).y_coordinate - Diameter_pile/2+pile_input(1).center2center_y;
        Z_beam =  pile_input(1).levels.floorlevel- height_beam; 
        plotcube([lengt_beam width_beam height_beam],[ X_beam Y_beam Z_beam],.3,[0 0 0]);
        plotcube([lengt_beam width_beam height_beam],[ X_beam Y_beamL Z_beam],.3,[0 0 0]);
        plotcube([lengt_beam width_beam height_beam],[ X_beam Y_beamR Z_beam],.3,[0 0 0]);
        
        
        %%%%%%%%%%
        axis  equal 
        xlabel('$x [m]$','Interpreter','latex'); 
        ylabel('$y [m]$','Interpreter','latex'); 
        zlabel('$z [m]$','Interpreter','latex'); 
%         title({'New Proposed Strain Wedge Model For Pile Groups',['Hightlight Pile Wedge ',num2str(pile_of_interest)]},'Interpreter','latex','FontSize', 20);  
%         title('Free developed passive soil wedge','Interpreter','latex','FontSize', 15);   
        title('Passive pile wedge interaction','Interpreter','latex','FontSize', 15);  
%         title('Side-by-side effect','Interpreter','latex','FontSize', 15); 
%         title('Sloping surface effect','Interpreter','latex','FontSize', 15); 
        set(gca, 'ZDir','reverse')
        xlim([-4,x_coordinates(end)+0.5])
        ylim([-1.5,1.5])
        zlim([1.5,10])
%         xlim([x_coordinates(1)-3,x_coordinates(end)+1])
%         ylim([pile_input(1).y_coordinate- pile_input(1).center2center_y-1 ,pile_input(1).y_coordinate+ pile_input(1).center2center_y+1])
%         zlim([ pile_input(1).levels.floorlevel-0.2, top_first_pile+plastic_zones(1)+1])
        
        set(gca, 'CameraPosition', [-2000 -3000 -1000]);
        hold on
%         [VX,VY] = meshgrid( -3:0.5:6, -2:0.5:2 );
%         VZ = top_first_pile - (VX-x_coordinates(1)).*helling;
%         surf(VX,VY,VZ,'Facealpha', 0.0,'Edgealpha', 0.3,'FaceColor',[1 1 1]); 
        grid on 

end 
        

end 